ata_read_native_max_address
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_read_native_max_address — Read native max address

## Synopsis

`int ata_read_native_max_address (` | struct ata_device * | dev,
| u64 * | max_sectors`)`;

## Arguments

`dev`

  target device

`max_sectors`

  out parameter for the result native max address

## Description

Perform an LBA48 or LBA28 native size query upon the device in question.

## RETURNS

0 on success, -EACCES if command is aborted by the drive. -EIO on other errors.

Prev | Up | Next
ata_devchk | Home | ata_set_max_sectors